Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519724 - [RFE] firewall configuration should be automated in tendrl-ansible [NEEDINFO]
Summary: [RFE] firewall configuration should be automated in tendrl-ansible
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-ansible
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: Timothy Asir
QA Contact: sds-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks: 1503132
TreeView+ depends on / blocked
 
Reported: 2017-12-01 10:19 UTC by Daniel Horák
Modified: 2018-09-04 07:01 UTC (History)
6 users (show)

Fixed In Version: tendrl-ansible-1.6.1-2.el7rhgs.noarch.rpm, tendrl-api-1.6.1-1.el7rhgs.noarch.rpm, tendrl-commons-1.6.1-1.el7rhgs.noarch.rpm, tendrl-monitoring-integration-1.6.1-1.el7rhgs.noarch.rpm, tendrl-node-agent-1.6.1-1.el7, tendrl-ui-1.6.1-1.el7rhgs.noarch.rpm,
Doc Type: Enhancement
Doc Text:
Firewall Configuration automated by tendrl-ansible for Red Hat Gluster Storage Web Administration Previously, firewall configuration was done manually leading to firewall misconfiguration. With this release, firewall configuration is automated in tendrl-ansible and applied during automated installation, allowing proper firewall rules to be configured for Web Administration without affecting other existing rules. For more information, see Chapter 2.4. Firewall Configuration in the Red Hat Gluster Storage Web Administration Quick Start Guide
Clone Of:
Environment:
Last Closed: 2018-09-04 07:00:31 UTC
rghatvis: needinfo? (tjeyasin)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2616 None None None 2018-09-04 07:01:24 UTC
Github Tendrl tendrl-ansible issues 49 None None None 2017-12-01 16:20:17 UTC

Description Daniel Horák 2017-12-01 10:19:57 UTC
Description of problem:
  Firewall configuration for RHGS-WA Server and RHGS-WA Nodes should be automated in tendrl-ansible.

Actual results:
  There is no firewall configuration implemented in tendrl-ansible.

Expected results:
  Tendrl-ansible will configure the proper firewall rules for RHGS-WA Server and RHGS-WA nodes, without affecting existing firewall rules.

Additional info:
  See also:
  https://bugzilla.redhat.com/show_bug.cgi?id=1519237
  https://bugzilla.redhat.com/show_bug.cgi?id=1511560

Comment 3 Lubos Trilety 2018-04-06 09:42:02 UTC
Tested with:
tendrl-ansible-1.6.1-3.el7rhgs.noarch

Setting of firewall rules is part of tendrl-ansible now.

Comment 8 errata-xmlrpc 2018-09-04 07:00:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.